---
title: Get information about all webhooks
slug: campaign/api/get-information-about-all-webhooks
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "58KUxlZ0f6Xt2Pd2vfk63",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/webhooks",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/webhooks"
      }
    ],
    "name": "Get information about all webhooks",
    "description": "<p>Get detailed information about all webhooks, such as webhook ID, event data type and webhook status.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "Sort result by specific criteria",
          "default": "CREATED",
          "enum": [
            "ID",
            "MAILING_GROUP",
            "TYPE",
            "NAME",
            "TEMPLATE",
            "STATUS",
            "PAYLOAD_FORMAT",
            "TARGET_URL",
            "INTEGRATION_ID",
            "AUTHENTICATION",
            "DATA",
            "CREATED",
            "MODIFIED"
          ]
        },
        {
          "kind": "optional",
          "name": "direction",
          "type": "string",
          "description": "Sort order",
          "default": "DESC",
          "enum": [
            "ASC",
            "DESC"
          ]
        },
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer<int32>",
          "description": "<p>Starting point of the result listDefault value : 0</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of webhooksDefault value : 100</p>",
          "format": "int32"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The webhooks were retrieved successfully (empty result if none was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "RestWebhook[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Webhook ID",
                "format": "int64"
              },
              {
                "name": "type",
                "kind": "optional",
                "type": "string<open | click | sent | bounce | unsubscribe | spamcomplaint | webhooknode | singleoptin | confirmedoptin | doubleoptin | blocklist | archived | filteredbyblocklist>",
                "description": "Type of the event data",
                "enum": [
                  "open",
                  "click",
                  "sent",
                  "bounce",
                  "unsubscribe",
                  "spamcomplaint",
                  "webhooknode",
                  "singleoptin",
                  "confirmedoptin",
                  "doubleoptin",
                  "blocklist",
                  "archived",
                  "filteredbyblocklist"
                ]
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<created | activated | deactivated | deleted | suspended>",
                "description": "Webhook status",
                "enum": [
                  "created",
                  "activated",
                  "deactivated",
                  "deleted",
                  "suspended"
                ]
              },
              {
                "name": "format",
                "kind": "optional",
                "type": "string<json>",
                "description": "Data format of the event data",
                "enum": [
                  "json"
                ]
              },
              {
                "name": "targetUrl",
                "kind": "optional",
                "type": "string",
                "description": "Target URL"
              },
              {
                "name": "authentication",
                "kind": "optional",
                "type": "object",
                "discriminator": {
                  "propertyName": "type"
                },
                "description": "Authentication method and attributes",
                "modelRef": "#/components/schemas/WebhookAuthentication",
                "customType": "WebhookAuthentication",
                "schema": [
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Creation date",
                "format": "date-time"
              },
              {
                "name": "modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Modification date",
                "format": "date-time"
              }
            ],
            "modelRef": "#/components/schemas/RestWebhook",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hf25zjF_NQEzyGrzdYOVx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ybApz9O8wcG8tmfrIbEE8",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "0FwC3R17L-R0zrdhnrnDK",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "xf5-aaqg9-LPa1RfvvzYW",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/webhooks?sort=CREATED&direction=DESC\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hf25zjF_NQEzyGrzdYOVx"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The webhooks were retrieved successfully (empty result if none was found).\n[\n  {\n    \"id\": \"\",\n    \"type\": \"\",\n    \"status\": \"\",\n    \"format\": \"\",\n    \"targetUrl\": \"\",\n    \"authentication\": {\n      \"type\": \"\"\n    },\n    \"created\": \"\",\n    \"modified\": \"\"\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}